%global momorel 2
%global srcrel 114856
%global srcname %{name}-kcm_tablet
%global stable6 1
%global qtver 4.5.2
%global kdever 4.3.2
%global kdelibsrel 1m

Summary: Wacom Linux Drivers based tablet kcontrol module for KDE
Name: kcm_tablet
Version: 1.1.1
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://kde-apps.org/content/show.php/kcm+tablet?content=114856
Group: Applications/System
Source0: http://kde-apps.org/CONTENT/content-files/%{srcrel}-%{srcname}-master.tar.gz
# NoSource: 0
Patch0: %{name}-1.0-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: oxygen-icons
%if %{stable6}
# linuxwacom was Obsoleted by xorg-x11-drv-wacom 
Requires: linuxwacom
%else
Requires: xorg-x11-drv-wacom
%endif
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake

%description
This is configuration control panel module for linuxwacom-driven tablets.

%prep
%setup -q -n %{srcname}

%patch0 -p1 -b .desktop-ja

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_kde4_libdir}/kde4/kcm_tablet.so
%{_kde4_appsdir}/kcmtablet
%{_kde4_docdir}/HTML/en/kcontrol/tablet
%{_kde4_datadir}/kde4/services/kcm_tablet.desktop

%changelog
* Mon Nov 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-2m)
- add a switch stable6

* Mon Nov 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-1m)
- version 1.1.1

* Sun Nov 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Nov 11 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-1m)
- version 1.1
- unset NoSource: 0

* Sun Nov  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0-2m)
- change Req from linuxwacom to xorg-x11-drv-wacom

* Sat Nov  7 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- initial package for Momonga Linux
